chocolate-hexen(6)

NAME
chocolate-hexen - historically compatible Hexen engine

SYNOPSIS
chocolate-hexen [OPTIONS]

DESCRIPTION

Chocolate Hexen is a port of Raven Software's 1995 game "Hexen" that aims to behave as similar to the original DOS version of Hexen as possible.

GENERAL OPTIONS

-artiskip
    Don't allow artifacts to be used when the run key is held down.

-cdrom
    [windows only] Save configuration data and savegames in c:\hexndata, allowing play from CD.

-config <file>
    Load main configuration from the specified file, instead of the default.

-extraconfig <file>
    Load additional configuration from the specified file, instead of the default.

-file <files>
    Load the specified PWAD files.

-iwad <file>
    Specify an IWAD file to use.

-loadgame <s>
    Load the game in savegame slot s.

-mb <mb>
    Specify the heap size, in MiB (default 16).

-mmap
    Use the OS's virtual memory subsystem to map WAD files directly into memory.

-noblit
    Disable blitting the screen.

-nomonsters
    Disable monsters.

-nomusic
    Disable music.

-nosfx
    Disable sound effects.

-nosound
    Disable all sound output.

-ravpic
    Take screenshots when F1 is pressed.

-respawn
    Monsters respawn after being killed.

-scripts <path>
    Development option to specify path to level scripts.

-servername <name>
    When starting a network server, specify a name for the server.

-skill <skill>
    Set the game skill, 1-5 (1: easiest, 5: hardest). A skill of 0 disables all monsters.

COMPATIBILITY

-setmem <version>
    Specify DOS version to emulate for NULL pointer dereference emulation. Supported versions are: dos622, dos71, dosbox. The default is to emulate DOS 7.1 (Windows 98).

DEMO OPTIONS

-playdemo <demo>
    Play back the demo named demo.lmp.

-timedemo <demo>
    Play back the demo named demo.lmp, determining the framerate of the screen.

DISPLAY OPTIONS

-1  Don't scale up the screen.

-2  Double up the screen to 2x its normal size.

-3  Double up the screen to 3x its normal size.

-8in32
    Set the color depth of the screen to 32 bits per pixel.

-bpp <bpp>
    Specify the color depth of the screen, in bits per pixel.

-fullscreen
    Run in fullscreen mode.

-geometry <WxY>
    Specify the screen mode (when running fullscreen) or the window dimensions (when running in windowed mode).

-grabmouse
    Grab the mouse when running in windowed mode.

-height <y>
    Specify the screen height, in pixels.

-nograbmouse
    Don't grab the mouse when running in windowed mode.

-nomouse
    Disable the mouse.

-nonovert
    Enable vertical mouse movement.

-novert
    Disable vertical mouse movement.

-width <x>
    Specify the screen width, in pixels.

-window
    Run in a window.

NETWORKING OPTIONS

-autojoin
    Automatically search the local LAN for a multiplayer server and join it.

-class <n>
    Specify player class: 0=fighter, 1=cleric, 2=mage, 3=pig.

-connect <address>
    Connect to a multiplayer server running on the given address.

-deathmatch
    Start a deathmatch game.

-dup <n>
    Reduce the resolution of the game by a factor of n, reducing the amount of network bandwidth needed.

-extratics <n>
    Send n extra tics in every packet as insurance against dropped packets.

-ignoreversion
    When running a netgame server, ignore version mismatches between the server and the client. Using this option may cause game desyncs to occur, or differences in protocol may mean the netgame will simply not function at all.

-oldsync
    Use original game sync code.

-port <n>
    Use the specified UDP port for communications, instead of the default (2342).

-privateserver
    When running a server, don't register with the global master server. Implies -server.

-randclass
    In deathmatch mode, change a player's class each time the player respawns.

-server
    Start a multiplayer server, listening for connections.

-solo-net
    Start the game playing as though in a netgame with a single player. This can also be used to play back single player netgame demos.

-timer <n>
    For multiplayer games: exit each level after n minutes.

DEHACKED AND WAD MERGING

-aa <files>
    Equivalent to "-af <files> -as <files>".

-af <files>
    Simulates the behavior of NWT's -af option, merging flats into the main IWAD directory. Multiple files may be specified.

-as <files>
    Simulates the behavior of NWT's -as option, merging sprites into the main IWAD directory. Multiple files may be specified.

-deh <files>
    Load the given dehacked patch(es)

-merge <files>
    Simulates the behavior of deutex's -merge option, merging a PWAD into the main IWAD. Multiple files may be specified.

-nocheats
    Ignore cheats in dehacked files.

-nwtmerge <files>
    Simulates the behavior of NWT's -merge option. Multiple files may be specified.

ENVIRONMENT
This section describes environment variables that control Chocolate Hexen's behavior.

DOOMWADDIR, DOOMWADPATH
    These environment variables provide paths to search for Doom .WAD files when looking for a game IWAD file or a PWAD file specified with the `-file' option. DOOMWADDIR specifies a single path in which to look for WAD files, while DOOMWWADPATH specifies a colon-separated list of paths to search.

PCSOUND_DRIVER
    When running in PC speaker sound effect mode, this environment variable specifies a PC speaker driver to use for sound effect playback. Valid options are "Linux" for the Linux console mode driver, "BSD" for the NetBSD/OpenBSD PC speaker driver, and "SDL" for SDL-based emulated PC speaker playback (using the digital output).

OPL_DRIVER
    When using OPL MIDI playback, this environment variable specifies an OPL backend driver to use. Valid options are "SDL" for an SDL-based software emulated OPL chip, "Linux" for the Linux hardware OPL driver, and "OpenBSD" for the OpenBSD/NetBSD hardware OPL driver. Generally speaking, a real hardware OPL chip sounds better than software emulation; however, modern machines do not often include one. If present, it may still require extra work to set up and elevated security privileges to access.

FILES

$HOME/.chocolate-doom/hexen.cfg
    The main configuration file for Chocolate Hexen. See hexen.cfg(5).

$HOME/.chocolate-doom/chocolate-hexen.cfg
    Extra configuration values that are specific to Chocolate Hexen and not present in Vanilla Hexen. See chocolate-hexen.cfg(5).

SEE ALSO
chocolate-doom(6), chocolate-heretic(6), chocolate-server(6), chocolate-setup(6)

AUTHOR
Chocolate Hexen is part of the Chocolate Doom project, written and maintained by Simon Howard. It is based on the Hexen source code, released by Raven Software.

COPYRIGHT
Copyright © id Software Inc. Copyright © Raven Software Inc. Copyright © 2005-2013 Simon Howard.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.